<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('datacsv', function (Blueprint $table) {
            $table->id();
            $table->string('nomprenoms');
            $table->string('col1');
            $table->string('annee');
            $table->string('matricule');
            $table->string('typenergie');
            $table->string('typenergie1');
            $table->string('nbplace');
            $table->string('typetechnique');
            $table->string('typecommercial');
            $table->string('puissance');
            $table->string('date1');
            $table->string('apporteur');
            $table->foreignId('commune_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('datacsvs');
    }
};
